# Uses of Interface
org.apache.wiki.auth.AuthenticationManager

Packages that use AuthenticationManager
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.auth
Authentication, Authorization and the third A thing.

## Uses of AuthenticationManager in org.apache.wiki

Methods in org.apache.wiki that return AuthenticationManager
Modifier and Type
Method
Description
`AuthenticationManager`
WikiEngine.`getAuthenticationManager()`
Deprecated.
use `getManager( AuthenticationManager.class )` instead.

## Uses of AuthenticationManager in org.apache.wiki.auth

Classes in org.apache.wiki.auth that implement AuthenticationManager
Modifier and Type
Class
Description
`class`
`DefaultAuthenticationManager`
Default implementation for `AuthenticationManager`